<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "jvmain";
$file = "jv.php";

$fseries = $_SESSION["series_" . $dbname];
$keycond = " where `series`='$fseries'";
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `mydt`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}



mysqli_query($conn,  "Create temporary table `jv` SELECT `vouchno`, Date_Format(`vouchdt`, '%d/%m/%Y') as mydt 
                                   FROM `$maindb` $keycond")or die(mysqli_error($conn));
    
    $srchresult = "SELECT * FROM `jv` WHERE vouchno != '' $cond  $sortcond $ordcond  LIMIT $rangeFrom,$rangeTo"or die(mysqli_error($conn));
    
    $result = mysqli_query($conn, $srchresult)or die(mysqli_error($conn));


//  
//    $query = "SELECT `vouchno`, Date_Format(`vouchdt`, '%d/%m/%Y') as mydt 
//                      FROM $maindb where vouchno != ''  $cond $keycond $sortcond $ordcond LIMIT $rangeFrom, 
//                     $rangeTo" or die(mysqli_error($conn));
//    
//    $result = mysqli_query($conn, $query)or die(mysqli_error($conn));
    $rows = array();
    $ctr = 0;
    while ($r = mysqli_fetch_assoc($result)) {
        $rows[] = [ 'success' => true,
            'value'       => $ctr,
            'keyfld'      => $keyfld,
            'vouchno'     => $r['vouchno'],
            'mydt'        => $r['mydt'],
            'action'      => "$file?mode=edit&vouchno=$r[vouchno]&series=$fseries",
        ];
        $ctr++;
    }
    header("Content-type: application\json");
    echo json_encode($rows);
